@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

:root {
  --main_color: #8e9373;
  --second_color: #a7856a;
  --text_color: #90877e;
  --back-color: #ccc3ba;
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  border: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

*:focus {
  outline: none;
}

html,
body {
  line-height: 1.3;
  font-size: 1.3rem;
}

body {
  font-family: 'Raleway', sans-serif;
  color: var(--text_color);
}

input,
button,
textarea {
  font-family: inherit;
  font-size: inherit;
  font-weight: inherit;
  color: inherit;
}

button {
  cursor: pointer;
  color: inherit;
  background-color: inherit;
}

a {
  color: inherit;
  text-decoration: none;
}

a:link,
a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

ul,
ol,
li {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: top;
  object-fit: cover;
}

header {
  position: relative;
  min-height: 100vh;
}

.header-grid {
  display: grid;
  align-items: center;
  justify-content: center;
  grid-template-columns: 1fr 33rem;
  margin: 3rem 0;
}

nav {
  background-color: var(--main_color);
  color: #fff;
  padding: 1.5rem;
  display: flex;
  align-items: center;
  position: relative;
  z-index: 1;
  box-shadow: 10px 2px 176px 88px rgba(142, 147, 115, 0.75);
}

nav a {
  padding-right: 2rem;
  display: flex;
  align-items: center;
  position: relative;
}

nav a::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  height: 1px;
  width: 30%;
  background-color: #fff;
}

nav a:last-child {
  font-size: 2.5rem;
  text-align: right;
  width: 4rem;
  height: 4rem;
  background-color: var(--back-color);
  color: #8e9373;
  border-radius: 100%;
  position: fixed;
  right: 2rem;
  top: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-right: 0;
  box-shadow: 10px 2px 42px 4px rgba(51, 46, 38, 0.75);
  z-index: 100;
}

nav a:last-child::after {
  display: none;
}

header .image {
  width: 30rem;
  height: 30rem;
  border-radius: 50%;
  background-color: var(--main_color);
  position: absolute;
  right: 2rem;
  top: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 10px 2px 42px 4px rgba(51, 46, 38, 0.75);
}

header .image img {
  width: 25rem;
  height: 25rem;
  border-radius: 100%;
}

.header-text {
  padding: 2rem 1rem 2rem 2rem;
  max-width: 600px;
  margin: 0 auto;
}

h1,
h2 {
  font-weight: 300;
  text-transform: uppercase;
  margin-bottom: 1rem;
}

.header-text p {
  margin: 2rem 0;
  font-size: 1.1rem;
}

.main-button {
  padding: 0.5rem 0;
  border-bottom: 2px solid var(--back-color);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  width: max-content;
  font-weight: 500;
}

.main-button i {
  margin-right: 1rem;
}

.main-button:hover {
  color: var(--second_color);
  border-color: var(--second_color);
}

.contacts-icons {
  margin-top: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 2rem;
}

.contacts-icons a {
  font-size: 2.5rem;
  text-align: right;
  width: 4rem;
  height: 4rem;
  background-color: #fff;
  color: #8e9373;
  border-radius: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding-right: 0;
  box-shadow: 10px 2px 22px 4px rgba(51, 46, 38, 0.45);
}

.text {
  padding: 3rem;
}

.text p {
  margin-bottom: 2rem;
}

#about {
  padding: 9rem 0;
  overflow-x: hidden;
}

#about .text {
  max-width: 830px;
  text-align: center;
  margin: 0 auto;
  position: relative;
  box-shadow: 10px 2px 176px 22px rgb(236 234 221 / 75%);
  padding: 6rem;
}

#about .text h1,
#about .text p {
  position: relative;
  z-index: 10;
}

#about .text img {
  position: absolute;
  right: -20rem;
  top: -3rem;
  height: 700px;
  -webkit-mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 60%, transparent 100%);
  border-radius: 12px;
  z-index: 0;
  overflow: hidden;
}

#about .main-button {
  margin: 0 auto;
}

#services {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 4rem;
  padding: 10rem;
  padding: 3rem;
}

#services .item {
  margin-bottom: 3rem;
}

#services .item .contacts-icons {
  justify-content: flex-start;
}

footer {
  background-color: var(--main_color);
  text-align: center;
  padding: 1rem 1rem;
  font-size: 0.7rem;
  color: #fff;
}

.company {
  background-color: var(--main_color);
  color: #fff;
  padding: 5rem;
  display: grid;
  grid-template-columns: 33rem 1fr;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  margin: 0 auto 2rem;
}

.company .image {
  width: 30rem;
  height: 30rem;
  border-radius: 50%;
  background-color: var(--main_color);
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 10px 2px 42px 4px rgba(51, 46, 38, 0.75);
}

.company .image img {
  width: 25rem;
  height: 25rem;
  border-radius: 100%;
}

@media only screen and (max-width: 1024px) {
  .header-grid {
    padding-bottom: 4rem;
  }
  .header-grid,
  nav {
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
  }
  header .image {
    position: relative;
  }
  nav a:last-child {
    top: 1rem;
    right: 1rem;
  }
  .header-grid {
    margin: 0;
  }
  .text {
    padding: 1rem;
  }
  #about .text {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem 1rem;
  }

  #about .text img {
    position: relative;
    top: 0;
    right: 0;
    margin-top: 3rem;
  }
  #services {
    flex-direction: column;
    display: flex;
    padding: 2rem;
    gap: 0;
  }
  #about {
    padding: 0;
  }
  .company {
    display: flex;
    flex-direction: column-reverse;
    padding: 1rem;
  }
  .company h2 {
    text-transform: none;
    font-size: 1.7rem;
  }
}

@media only screen and (max-width: 700px) {
}
